std::basic_iostream::operator=(3)

NAME
std::basic_iostream::operator= - std::basic_iostream::operator=

Synopsis
   basic_iostream& operator=( const basic_iostream& other ) = delete; (1)
   protected: (2) (since C++11)
   basic_iostream& operator=( basic_iostream&& other );
   Assigns another stream object.
   1) Copy assignment is not allowed.
   2) Move assigns another stream object. Effectively calls swap(rhs). This move
   assignment operator is protected: it is called by the move assignment operators of
   the derived stream classes std::basic_stringstream and std::basic_fstream which know
   how to properly move-assign the associated stream buffers.

Parameters
   other - another stream to assign state of

Return value
   *this

See also
   constructor constructs the object
                 (public member function)